Passer au contenu principal
POST
/
crm
/
v3
/
objects
/
companies
/
merge
Fusionner deux entreprises
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/companies/merge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "objectIdToMerge": "<string>",
  "primaryObjectId": "<string>"
}
'
{
  "archived": false,
  "createdAt": "2019-10-30T03:30:17.883Z",
  "id": "512",
  "properties": {
    "property_checkbox": "false",
    "property_date": "1572480000000",
    "property_dropdown": "choice_b",
    "property_multiple_checkboxes": "chocolate;strawberry",
    "property_number": "17",
    "property_radio": "option_1",
    "property_string": "value"
  },
  "updatedAt": "2019-12-07T16:50:06.678Z"
}

Produits pris en charge

Exige l'un des produits suivants ou un produit supérieur.
Marketing HubMarketing Hub -Gratuit
Sales HubSales Hub -Gratuit
Service HubService Hub -Gratuit
Content HubContent Hub -Gratuit

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Corps

application/json

Données d'entrée pour la fusion de deux enregistrements.

objectIdToMerge
string
requis

L'ID de l'entreprise à fusionner avec l'entreprise principale.

primaryObjectId
string
requis

L'ID de l'entreprise principale avec laquelle l'autre entreprise sera fusionnée.

Réponse

successful operation

Un objet public simple.

archived
boolean
requis

Si l'objet est archivé.

createdAt
string<date-time>
requis

L'horodatage du moment où l'objet a été créé, au format ISO 8601.

id
string
requis

L'ID unique de l'objet.

properties
object
requis

Paires clé-valeur représentant les propriétés de l'objet.

updatedAt
string<date-time>
requis

L'horodatage du moment où l'objet a été mis à jour pour la dernière fois, au format ISO 8601.

archivedAt
string<date-time>

L'horodatage du moment où l'objet a été archivé, au format ISO 8601.

objectWriteTraceId
string

Un identifiant utilisé pour le traçage de la demande d'écriture pour l'objet.

propertiesWithHistory
object

Paires clé-valeur représentant les propriétés de l'objet avec leur historique.

url
string

L'URL associée à l'objet.

Last modified on February 12, 2026